{
  "dynamic": "strict",
  "properties": {
    "id": {
      "type": "long"
    },
    //名称
    "name": {
      "type": "string",
      "index": "not_analyzed"
    },
    "pre_name": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_index"
    },
    //tag描述
    "is_online": {
      "type": "boolean"
    },
    //类型
    "tag_type": {
      "type": "long"
    },
    //近义词
    "homoionym": {
      "type": "string",
      "index": "not_analyzed"
    },
    //同义词
    "synonym_names": {
      "type": "string",
      "index": "not_analyzed"
    },
    //同义词
    "pre_synonym_names": {
      "type": "string",
      "analyzer": "gm_default_index",
      "search_analyzer": "gm_default_index"
    },
    //类型
    "project_tags": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 新标签
    "first_demands": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 1级诉求
    "second_demands": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 2级诉求
    "first_solutions": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 1级方式
    "second_solutions": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 2级方式
    "first_positions": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 一级部位
    "second_positions": {
      "type": "string",
      "index": "not_analyzed"
    },
    // 项目ID
    "project_tags_ids": {
      "type": "long"
    },
    "first_demands_ids": {
      "type": "long"
    },
    "second_demands_ids": {
      "type": "long"
    },
    "first_solutions_ids": {
      "type": "long"
    },
    "second_solutions_ids": {
      "type": "long"
    },
    "first_positions_ids": {
      "type": "long"
    },
    "second_positions_ids": {
      "type": "long"
    },
    "first_classify_ids": {
      "type": "long"
    },
    //新标签一级分类id集合
    "second_classify_ids": {
      "type": "long"
    },
    //新标签二级分类id集合
    "first_classify_names": {
      "type": "string",
      "index": "not_analyzed"
    },
    //新标签一级分类名称集合
    "second_classify_names": {
      "type": "string",
      "index": "not_analyzed"
    }
    //新标签二级分类名称集合
  }
}
